import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex);
const state = {
  breadListState: [], // 面包屑列表数据
  pixelFun:null,
  sampleFun:null,
  altRange:null
};

export default new Vuex.Store({
  state,
  mutations: {
    breadListMutations (getters, list) {
      getters.breadListState = list;
    },
    setPixelFun(getters, val){
      getters.pixelFun=val;
    },
    setSampleFun(getters, val){
      getters.sampleFun=val
    },
    setAltRange(getters, val){
      getters.altRange=val
    }
  }
});
